Package com.ocient.jdbc.proto

# Class ClientWireProtocol

java.lang.Object
com.ocient.jdbc.proto.ClientWireProtocol

    public final class ClientWireProtocol
    extends Object

## Nested Class Summary

Nested Classes
Modifier and Type | Class | Description
--- | --- | ---
`static class` | `ClientWireProtocol.AttachToQuery` | Protobuf type `xg.cmdcomp.AttachToQuery`
`static interface` | `ClientWireProtocol.AttachToQueryOrBuilder` |
`static class` | `ClientWireProtocol.Authenticator` | Protobuf type `xg.cmdcomp.Authenticator`
`static interface` | `ClientWireProtocol.AuthenticatorOrBuilder` |
`static class` | `ClientWireProtocol.CacheEntry` | Protobuf type `xg.cmdcomp.CacheEntry`
`static interface` | `ClientWireProtocol.CacheEntryOrBuilder` |
`static class` | `ClientWireProtocol.CancelQuery` | Protobuf type `xg.cmdcomp.CancelQuery`
`static interface` | `ClientWireProtocol.CancelQueryOrBuilder` |
`static class` | `ClientWireProtocol.CancelQueryResponse` | Protobuf type `xg.cmdcomp.CancelQueryResponse`
`static interface` | `ClientWireProtocol.CancelQueryResponseOrBuilder` |
`static class` | `ClientWireProtocol.CheckDataRequest` | Protobuf type `xg.cmdcomp.CheckDataRequest`
`static interface` | `ClientWireProtocol.CheckDataRequestOrBuilder` |
`static class` | `ClientWireProtocol.CheckDataResponse` | Protobuf type `xg.cmdcomp.CheckDataResponse`
`static interface` | `ClientWireProtocol.CheckDataResponseOrBuilder` |
`static class` | `ClientWireProtocol.ClearCache` | Protobuf type `xg.cmdcomp.ClearCache`
`static interface` | `ClientWireProtocol.ClearCacheOrBuilder` |
`static class` | `ClientWireProtocol.ClientConnection` | Protobuf type `xg.cmdcomp.ClientConnection`
`static class` | `ClientWireProtocol.ClientConnection2` | Protobuf type `xg.cmdcomp.ClientConnection2`
`static interface` | `ClientWireProtocol.ClientConnection2OrBuilder` |
`static class` | `ClientWireProtocol.ClientConnection2Response` | Protobuf type `xg.cmdcomp.ClientConnection2Response`
`static interface` | `ClientWireProtocol.ClientConnection2ResponseOrBuilder` |
`static class` | `ClientWireProtocol.ClientConnectionGCM` | Protobuf type `xg.cmdcomp.ClientConnectionGCM`
`static class` | `ClientWireProtocol.ClientConnectionGCM2` | Protobuf type `xg.cmdcomp.ClientConnectionGCM2`
`static interface` | `ClientWireProtocol.ClientConnectionGCM2OrBuilder` |
`static class` | `ClientWireProtocol.ClientConnectionGCM2Response` | Protobuf type `xg.cmdcomp.ClientConnectionGCM2Response`
`static interface` | `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder` |
`static interface` | `ClientWireProtocol.ClientConnectionGCMOrBuilder` |
`static class` | `ClientWireProtocol.ClientConnectionGCMResponse` | Protobuf type `xg.cmdcomp.ClientConnectionGCMResponse`
`static interface` | `ClientWireProtocol.ClientConnectionGCMResponseOrBuilder` |
`static interface` | `ClientWireProtocol.ClientConnectionOrBuilder` |
`static class` | `ClientWireProtocol.ClientConnectionRefreshSession` | Protobuf type `xg.cmdcomp.ClientConnectionRefreshSession`
`static interface` | `ClientWireProtocol.ClientConnectionRefreshSessionOrBuilder` |
`static class` | `ClientWireProtocol.ClientConnectionRefreshSessionResponse` | Protobuf type `xg.cmdcomp.ClientConnectionRefreshSessionResponse`
`static interface` | `ClientWireProtocol.ClientConnectionRefreshSessionResponseOrBuilder` |
`static class` | `ClientWireProtocol.ClientConnectionRefreshToken` | Protobuf type `xg.cmdcomp.ClientConnectionRefreshToken`
`static interface` | `ClientWireProtocol.ClientConnectionRefreshTokenOrBuilder` |
`static class` | `ClientWireProtocol.ClientConnectionRefreshTokenResponse` | Protobuf type `xg.cmdcomp.ClientConnectionRefreshTokenResponse`
`static interface` | `ClientWireProtocol.ClientConnectionRefreshTokenResponseOrBuilder` |
`static class` | `ClientWireProtocol.ClientConnectionResponse` | Protobuf type `xg.cmdcomp.ClientConnectionResponse`
`static interface` | `ClientWireProtocol.ClientConnectionResponseOrBuilder` |
`static class` | `ClientWireProtocol.ClientConnectionSecurityToken` | Protobuf type `xg.cmdcomp.ClientConnectionSecurityToken`
`static interface` | `ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder` |
`static class` | `ClientWireProtocol.ClientConnectionSecurityTokenResponse` | Protobuf type `xg.cmdcomp.ClientConnectionSecurityTokenResponse`
`static interface` | `ClientWireProtocol.ClientConnectionSecurityTokenResponseOrBuilder` |
`static class` | `ClientWireProtocol.ClientConnectionSSO` | Protobuf type `xg.cmdcomp.ClientConnectionSSO`
`static class` | `ClientWireProtocol.ClientConnectionSSO2` | Protobuf type `xg.cmdcomp.ClientConnectionSSO2`
`static interface` | `ClientWireProtocol.ClientConnectionSSO2OrBuilder` |
`static class` | `ClientWireProtocol.ClientConnectionSSO2Response` | Protobuf type `xg.cmdcomp.ClientConnectionSSO2Response`
`static interface` | `ClientWireProtocol.ClientConnectionSSO2ResponseOrBuilder` |
`static interface` | `ClientWireProtocol.ClientConnectionSSOOrBuilder` |
`static class` | `ClientWireProtocol.ClientConnectionSSOResponse` | Protobuf type `xg.cmdcomp.ClientConnectionSSOResponse`
`static interface` | `ClientWireProtocol.ClientConnectionSSOResponseOrBuilder` |
`static class` | `ClientWireProtocol.CloseConnection` | Protobuf type `xg.cmdcomp.CloseConnection`
`static interface` | `ClientWireProtocol.CloseConnectionOrBuilder` |
`static class` | `ClientWireProtocol.CloseResultSet` | Protobuf type `xg.cmdcomp.CloseResultSet`
`static interface` | `ClientWireProtocol.CloseResultSetOrBuilder` |
`static class` | `ClientWireProtocol.CompletedQueriesResponse` | Protobuf type `xg.cmdcomp.CompletedQueriesResponse`
`static interface` | `ClientWireProtocol.CompletedQueriesResponseOrBuilder` |
`static class` | `ClientWireProtocol.CompletedQueriesRow` | Protobuf type `xg.cmdcomp.CompletedQueriesRow`
`static interface` | `ClientWireProtocol.CompletedQueriesRowOrBuilder` |
`static class` | `ClientWireProtocol.ConfirmationResponse` | Protobuf type `xg.cmdcomp.ConfirmationResponse`
`static interface` | `ClientWireProtocol.ConfirmationResponseOrBuilder` |
`static class` | `ClientWireProtocol.ExecuteExplain` | Protobuf type `xg.cmdcomp.ExecuteExplain`
`static class` | `ClientWireProtocol.ExecuteExplainForSpark` | Spark Deprecated
`static interface` | `ClientWireProtocol.ExecuteExplainForSparkOrBuilder` |
`static interface` | `ClientWireProtocol.ExecuteExplainOrBuilder` |
`static class` | `ClientWireProtocol.ExecuteExport` | Protobuf type `xg.cmdcomp.ExecuteExport`
`static interface` | `ClientWireProtocol.ExecuteExportOrBuilder` |
`static class` | `ClientWireProtocol.ExecuteExportResponse` | Protobuf type `xg.cmdcomp.ExecuteExportResponse`
`static interface` | `ClientWireProtocol.ExecuteExportResponseOrBuilder` |
`static class` | `ClientWireProtocol.ExecuteInlinePlan` | Protobuf type `xg.cmdcomp.ExecuteInlinePlan`
`static interface` | `ClientWireProtocol.ExecuteInlinePlanOrBuilder` |
`static class` | `ClientWireProtocol.ExecutePlan` | Protobuf type `xg.cmdcomp.ExecutePlan`
`static interface` | `ClientWireProtocol.ExecutePlanOrBuilder` |
`static class` | `ClientWireProtocol.ExecuteQuery` | Protobuf type `xg.cmdcomp.ExecuteQuery`
`static interface` | `ClientWireProtocol.ExecuteQueryOrBuilder` |
`static class` | `ClientWireProtocol.ExecuteQueryResponse` | Protobuf type `xg.cmdcomp.ExecuteQueryResponse`
`static interface` | `ClientWireProtocol.ExecuteQueryResponseOrBuilder` |
`static class` | `ClientWireProtocol.ExecuteUpdate` | Protobuf type `xg.cmdcomp.ExecuteUpdate`
`static interface` | `ClientWireProtocol.ExecuteUpdateOrBuilder` |
`static class` | `ClientWireProtocol.ExecuteUpdateResponse` | Protobuf type `xg.cmdcomp.ExecuteUpdateResponse`
`static interface` | `ClientWireProtocol.ExecuteUpdateResponseOrBuilder` |
`static class` | `ClientWireProtocol.ExplainFormat` | Protobuf enum `xg.cmdcomp.ExplainFormat`
`static class` | `ClientWireProtocol.ExplainPipelineRequest` | Protobuf type `xg.cmdcomp.ExplainPipelineRequest`
`static interface` | `ClientWireProtocol.ExplainPipelineRequestOrBuilder` |
`static class` | `ClientWireProtocol.ExplainPipelineResponse` | Protobuf type `xg.cmdcomp.ExplainPipelineResponse`
`static interface` | `ClientWireProtocol.ExplainPipelineResponseOrBuilder` |
`static class` | `ClientWireProtocol.ExplainPlan` | Protobuf type `xg.cmdcomp.ExplainPlan`
`static interface` | `ClientWireProtocol.ExplainPlanOrBuilder` |
`static class` | `ClientWireProtocol.ExplainResponseStringPlan` | Protobuf type `xg.cmdcomp.ExplainResponseStringPlan`
`static interface` | `ClientWireProtocol.ExplainResponseStringPlanOrBuilder` |
`static class` | `ClientWireProtocol.FetchAuthenticators` | Protobuf type `xg.cmdcomp.FetchAuthenticators`
`static interface` | `ClientWireProtocol.FetchAuthenticatorsOrBuilder` |
`static class` | `ClientWireProtocol.FetchAuthenticatorsResponse` | Protobuf type `xg.cmdcomp.FetchAuthenticatorsResponse`
`static interface` | `ClientWireProtocol.FetchAuthenticatorsResponseOrBuilder` |
`static class` | `ClientWireProtocol.FetchData` | Protobuf type `xg.cmdcomp.FetchData`
`static interface` | `ClientWireProtocol.FetchDataOrBuilder` |
`static class` | `ClientWireProtocol.FetchDataResponse` | Protobuf type `xg.cmdcomp.FetchDataResponse`
`static interface` | `ClientWireProtocol.FetchDataResponseOrBuilder` |
`static class` | `ClientWireProtocol.FetchMetadata` | Protobuf type `xg.cmdcomp.FetchMetadata`
`static interface` | `ClientWireProtocol.FetchMetadataOrBuilder` |
`static class` | `ClientWireProtocol.FetchMetadataResponse` | Protobuf type `xg.cmdcomp.FetchMetadataResponse`
`static interface` | `ClientWireProtocol.FetchMetadataResponseOrBuilder` |
`static class` | `ClientWireProtocol.FetchSystemMetadata` | Protobuf type `xg.cmdcomp.FetchSystemMetadata`
`static interface` | `ClientWireProtocol.FetchSystemMetadataOrBuilder` |
`static class` | `ClientWireProtocol.FetchSystemMetadataResponse` | Protobuf type `xg.cmdcomp.FetchSystemMetadataResponse`
`static interface` | `ClientWireProtocol.FetchSystemMetadataResponseOrBuilder` |
`static class` | `ClientWireProtocol.ForceExternal` | Deprecated.
`static interface` | `ClientWireProtocol.ForceExternalOrBuilder` | Deprecated.
`static class` | `ClientWireProtocol.GetSchema` | Protobuf type `xg.cmdcomp.GetSchema`
`static interface` | `ClientWireProtocol.GetSchemaOrBuilder` |
`static class` | `ClientWireProtocol.GetSchemaResponse` | Protobuf type `xg.cmdcomp.GetSchemaResponse`
`static interface` | `ClientWireProtocol.GetSchemaResponseOrBuilder` |
`static class` | `ClientWireProtocol.KillQuery` | Protobuf type `xg.cmdcomp.KillQuery`
`static interface` | `ClientWireProtocol.KillQueryOrBuilder` |
`static class` | `ClientWireProtocol.KillQueryResponse` | Protobuf type `xg.cmdcomp.KillQueryResponse`
`static interface` | `ClientWireProtocol.KillQueryResponseOrBuilder` |
`static class` | `ClientWireProtocol.ListPlan` | Protobuf type `xg.cmdcomp.ListPlan`
`static interface` | `ClientWireProtocol.ListPlanOrBuilder` |
`static class` | `ClientWireProtocol.ListPlanResponse` | Protobuf type `xg.cmdcomp.ListPlanResponse`
`static interface` | `ClientWireProtocol.ListPlanResponseOrBuilder` |
`static class` | `ClientWireProtocol.LoadBroadcast` | Protobuf type `xg.cmdcomp.LoadBroadcast`
`static interface` | `ClientWireProtocol.LoadBroadcastOrBuilder` |
`static class` | `ClientWireProtocol.LocalCancelQuery` | Protobuf type `xg.cmdcomp.LocalCancelQuery`
`static interface` | `ClientWireProtocol.LocalCancelQueryOrBuilder` |
`static class` | `ClientWireProtocol.LocalCancelQueryResponse` | Protobuf type `xg.cmdcomp.LocalCancelQueryResponse`
`static interface` | `ClientWireProtocol.LocalCancelQueryResponseOrBuilder` |
`static class` | `ClientWireProtocol.LocalKillQuery` | Protobuf type `xg.cmdcomp.LocalKillQuery`
`static interface` | `ClientWireProtocol.LocalKillQueryOrBuilder` |
`static class` | `ClientWireProtocol.LocalKillQueryResponse` | Protobuf type `xg.cmdcomp.LocalKillQueryResponse`
`static interface` | `ClientWireProtocol.LocalKillQueryResponseOrBuilder` |
`static class` | `ClientWireProtocol.LocalQueries` | Protobuf type `xg.cmdcomp.LocalQueries`
`static interface` | `ClientWireProtocol.LocalQueriesOrBuilder` |
`static class` | `ClientWireProtocol.LocalQueriesResponse` | Protobuf type `xg.cmdcomp.LocalQueriesResponse`
`static interface` | `ClientWireProtocol.LocalQueriesResponseOrBuilder` |
`static class` | `ClientWireProtocol.OpenIDAuthenticator` | Protobuf type `xg.cmdcomp.OpenIDAuthenticator`
`static interface` | `ClientWireProtocol.OpenIDAuthenticatorOrBuilder` |
`static class` | `ClientWireProtocol.PerformanceMode` | Determines how result sets are processed by the server.
`static class` | `ClientWireProtocol.Request` | The request has a type and then the relevant optional field is filled.
`static interface` | `ClientWireProtocol.RequestOrBuilder` |
`static class` | `ClientWireProtocol.ResultSet` | Protobuf type `xg.cmdcomp.ResultSet`
`static interface` | `ClientWireProtocol.ResultSetOrBuilder` |
`static class` | `ClientWireProtocol.SecondaryInterfaceList` | Protobuf type `xg.cmdcomp.SecondaryInterfaceList`
`static interface` | `ClientWireProtocol.SecondaryInterfaceListOrBuilder` |
`static class` | `ClientWireProtocol.SecurityToken` | For Connectors v2, we should be using compact JWE's which provide integrity verifiction + encryption
`static interface` | `ClientWireProtocol.SecurityTokenOrBuilder` |
`static class` | `ClientWireProtocol.ServerSignal` | ServerSignals should only be negative values
`static class` | `ClientWireProtocol.SessionInfo` | Protobuf type `xg.cmdcomp.SessionInfo`
`static interface` | `ClientWireProtocol.SessionInfoOrBuilder` |
`static class` | `ClientWireProtocol.SetParameter` | Protobuf type `xg.cmdcomp.SetParameter`
`static interface` | `ClientWireProtocol.SetParameterOrBuilder` |
`static class` | `ClientWireProtocol.SetPSO` | Protobuf type `xg.cmdcomp.SetPSO`
`static interface` | `ClientWireProtocol.SetPSOOrBuilder` |
`static class` | `ClientWireProtocol.SetSchema` | Protobuf type `xg.cmdcomp.SetSchema`
`static interface` | `ClientWireProtocol.SetSchemaOrBuilder` |
`static class` | `ClientWireProtocol.SysQueriesRow` | Protobuf type `xg.cmdcomp.SysQueriesRow`
`static interface` | `ClientWireProtocol.SysQueriesRowOrBuilder` |
`static class` | `ClientWireProtocol.SystemWideCompletedQueries` | Protobuf type `xg.cmdcomp.SystemWideCompletedQueries`
`static interface` | `ClientWireProtocol.SystemWideCompletedQueriesOrBuilder` |
`static class` | `ClientWireProtocol.SystemWideQueries` | Protobuf type `xg.cmdcomp.SystemWideQueries`
`static interface` | `ClientWireProtocol.SystemWideQueriesOrBuilder` |
`static class` | `ClientWireProtocol.SystemWideQueriesResponse` | Protobuf type `xg.cmdcomp.SystemWideQueriesResponse`
`static interface` | `ClientWireProtocol.SystemWideQueriesResponseOrBuilder` |
`static class` | `ClientWireProtocol.TestConnection` | Protobuf type `xg.cmdcomp.TestConnection`
`static interface` | `ClientWireProtocol.TestConnectionOrBuilder` |
`static class` | `ClientWireProtocol.UpdateCache` | Protobuf type `xg.cmdcomp.UpdateCache`
`static interface` | `ClientWireProtocol.UpdateCacheOrBuilder` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static com.google.protobuf.Descriptors.FileDescriptor` | `getDescriptor()` |
`static void` | `registerAllExtensions​(com.google.protobuf.ExtensionRegistry registry)` |
`static void` | `registerAllExtensions​(com.google.protobuf.ExtensionRegistryLite registry)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### registerAllExtensions

public static void registerAllExtensions​(com.google.protobuf.ExtensionRegistryLite registry)

### registerAllExtensions

public static void registerAllExtensions​(com.google.protobuf.ExtensionRegistry registry)

### getDescriptor

public static com.google.protobuf.Descriptors.FileDescriptor getDescriptor()